aboutsummaryrefslogtreecommitdiffstats
path: root/main/font-misc-cyrillic/APKBUILD
diff options
context:
space:
mode:
authorEivind Uggedal <eivind@uggedal.com>2015-09-16 14:47:17 +0000
committerEivind Uggedal <eivind@uggedal.com>2015-09-17 08:30:05 +0000
commit04bc7964479a3f4ff1a98586261d6fe197003c24 (patch)
treed08805a1c44cb78c84af896230c90d122fd5ea98 /main/font-misc-cyrillic/APKBUILD
parent6ec662da9d20c27aea4ed05fa44498d785cb25fa (diff)
downloadaports-04bc7964479a3f4ff1a98586261d6fe197003c24.tar.gz
aports-04bc7964479a3f4ff1a98586261d6fe197003c24.tar.bz2
aports-04bc7964479a3f4ff1a98586261d6fe197003c24.tar.xz
main/font-misc-cyrillic: upgrade to 1.0.3
Diffstat (limited to 'main/font-misc-cyrillic/APKBUILD')
-rw-r--r--main/font-misc-cyrillic/APKBUILD23
1 files changed, 19 insertions, 4 deletions
diff --git a/main/font-misc-cyrillic/APKBUILD b/main/font-misc-cyrillic/APKBUILD
index ee2c681c0a..cba3b4b84c 100644
--- a/main/font-misc-cyrillic/APKBUILD
+++ b/main/font-misc-cyrillic/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=font-misc-cyrillic
-pkgver=1.0.0
-pkgrel=2
+pkgver=1.0.3
+pkgrel=0
pkgdesc="X.org misc cyrillic fonts"
url="http://xorg.freedesktop.org/"
arch="all"
@@ -11,6 +11,11 @@ makedepends="font-util-dev bdftopcf"
install=
source="http://xorg.freedesktop.org/releases/individual/font/$pkgname-$pkgver.tar.bz2"
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ update_config_sub || return 1
+}
+
build() {
cd "$srcdir"/$pkgname-$pkgver
./configure \
@@ -21,7 +26,17 @@ build() {
--with-fontdir=/usr/share/fonts/cyrillic \
|| return 1
make || return 1
- make -j1 DESTDIR="$pkgdir" MKFONTDIR=: MKFONTSCALE=: install || return 1
}
-md5sums="3596907d7a2a99c81d8de99bc4552b6a font-misc-cyrillic-1.0.0.tar.bz2"
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make -j1 DESTDIR="$pkgdir" \
+ MKFONTDIR=: \
+ MKFONTSCALE=: \
+ FCCACHE=: \
+ install || return 1
+}
+
+md5sums="96109d0890ad2b6b0e948525ebb0aba8 font-misc-cyrillic-1.0.3.tar.bz2"
+sha256sums="e40fe3e3323c62b738550795457ad555c70c008aa91b5912dfd46f8e745f5e60 font-misc-cyrillic-1.0.3.tar.bz2"
+sha512sums="75e49cdb633f7ce5b9612d5adb0a85471c8fde5d55e8ccd9302f79f01e99e78b02449642c2cf785289f58d833bfa62042fce4253093fb17c87471559d1f9bdbf font-misc-cyrillic-1.0.3.tar.bz2"